Debian Bug report logs - #267464
cdrecord: eats all the machine ressources then the oom-killer trashes everything

version graph

Package: kernel-source-2.6.8; Maintainer for kernel-source-2.6.8 is (unknown);

Reported by: "Jean-Luc Coulon (f5ibh)" <jean-luc.coulon@wanadoo.fr>

Date: Sun, 22 Aug 2004 19:03:01 UTC

Severity: important

Fixed in version kernel-source-2.6.8/2.6.8-3

Done: Sven Luther <luther@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Joerg Jaspert <joerg@debian.org>:
Bug#267464; Package cdrecord. Full text and rfc822 format available.

Acknowledgement sent to "Jean-Luc Coulon (f5ibh)" <jean-luc.coulon@wanadoo.fr>:
New Bug report received and forwarded. Copy sent to Joerg Jaspert <joerg@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: "Jean-Luc Coulon (f5ibh)" <jean-luc.coulon@wanadoo.fr>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: cdrecord: eats all the machine ressources then the oom-killer trashes everything
Date: Sun, 22 Aug 2004 20:52:11 +0200
Package: cdrecord
Version: 4:2.0+a34-1
Severity: important

Hi,

I was burning an audio cd from .wav files.
Kernel is 2.6.8 
The command was :
cdrecord dev=ATAPI:0,0,0 speed=10 -audio -pad -dao -v -eject <file1> <file2> ...
for a total of 11 files.
After burning 4 or 5 files, I was flooded with the following message.
Then the oom-killer began to work and after a while cdrecord was killed.

I retried the operation twice. I got twice the same result.
I can burn data CD without any problem (but having to be root).

Here are the message:


Aug 22 17:56:24 tangerine kernel: <ot: low 32, high 96, batch 16
Aug 22 17:56:25 tangerine kernel: cpu 0 cold: low 0, high 32, batch 16
Aug 22 17:56:25 tangerine kernel: HighMem per-cpu: empty
Aug 22 17:56:25 tangerine kernel: 
Aug 22 17:56:25 tangerine kernel: Free pages:        1744kB (0kB HighMem)
Aug 22 17:56:25 tangerine kernel: Active:3291 inactive:10 dirty:0 writeback:0 un
stable:0 free:436 slab:4343 mapped:3275 pagetables:481
Aug 22 17:56:25 tangerine kernel: DMA free:1216kB min:24kB low:48kB high:72kB ac
tive:0kB inactive:4kB present:16384kB
Aug 22 17:56:25 tangerine kernel: protections[]: 12 310 310
Aug 22 17:56:25 tangerine kernel: Normal free:528kB min:596kB low:1192kB high:17
88kB active:13164kB inactive:36kB present:376816kB
Aug 22 17:56:25 tangerine kernel: protections[]: 0 298 298
Aug 22 17:56:25 tangerine kernel: HighMem free:0kB min:128kB low:256kB high:384k
B active:0kB inactive:0kB present:0kB
Aug 22 17:56:25 tangerine kernel: protections[]: 0 0 0
Aug 22 17:56:25 tangerine kernel: DMA: 16*4kB 0*8kB 0*16kB 6*32kB 1*64kB 1*128kB
 1*256kB 1*512kB 0*1024kB 0*2048kB 0*4096kB = 1216kB
Aug 22 17:56:25 tangerine kernel: Normal: 0*4kB 0*8kB 1*16kB 0*32kB 0*64kB 0*128
kB 0*256kB 1*512kB 0*1024kB 0*2048kB 0*4096kB = 528kB
Aug 22 17:56:25 tangerine kernel: HighMem: empty
Aug 22 17:56:25 tangerine pppoe[3808]: Session 2566 terminated -- received PADT 
from peer
Aug 22 17:56:26 tangerine kernel: Swap cache: add 215742, delete 215435, find 45
6235/473913, race 7+0
Aug 22 17:56:27 tangerine automount[29370]: expired /amnt/disk3
Aug 22 17:56:27 tangerine pppoe[3808]: Sent PADT
Aug 22 17:56:28 tangerine kernel: Out of Memory: Killed process 6915 (gnome-nets
tatus).
Aug 22 17:56:28 tangerine kernel: oom-killer: gfp_mask=0x1d2
Aug 22 17:56:28 tangerine kernel: DMA per-cpu:
Aug 22 17:56:28 tangerine kernel: cpu 0 hot: low 2, high 6, batch 1
Aug 22 17:56:28 tangerine kernel: cpu 0 cold: low 0, high 2, batch 1
Aug 22 17:56:28 tangerine kernel: Normal per-cpu:
Aug 22 17:56:28 tangerine kernel: cpu 0 hot: low 32, high 96, batch 16
Aug 22 17:56:28 tangerine kernel: cpu 0 cold: low 0, high 32, batch 16
Aug 22 17:56:28 tangerine kernel: HighMem per-cpu: empty
Aug 22 17:56:28 tangerine kernel: 
Aug 22 17:56:28 tangerine kernel: Free pages:        1948kB (0kB HighMem)
Aug 22 17:56:28 tangerine kernel: Active:1780 inactive:198 dirty:0 writeback:0 u
nstable:0 free:487 slab:4326 mapped:3275 pagetables:474
Aug 22 17:56:28 tangerine kernel: DMA free:1220kB min:24kB low:48kB high:72kB ac
tive:0kB inactive:4kB present:16384kB
Aug 22 17:56:28 tangerine kernel: protections[]: 12 310 310
Aug 22 17:56:28 tangerine kernel: Normal free:728kB min:596kB low:1192kB high:17
88kB active:7120kB inactive:788kB present:376816kB
Aug 22 17:56:28 tangerine kernel: protections[]: 0 298 298


.... and so on


Regards


Jean-Luc

-- System Information:
Debian Release: 3.1
  APT prefers unstable
  APT policy: (10001, 'unstable')
Architecture: i386 (i586)
Kernel: Linux 2.6.8-k6-2
Locale: LANG=fr_FR@euro, LC_CTYPE=fr_FR@euro

Versions of packages cdrecord depends on:
ii  debconf                     1.4.32       Debian configuration management sy
ii  libc6                       2.3.2.ds1-16 GNU C Library: Shared libraries an
ii  makedev                     2.3.1-75     Creates device files in /dev

-- debconf information:
  cdrecord/MAKEDEV: true
  cdrecord/MAKEDEVNEW: true
  cdrecord/do_it_yourself:
* cdrecord/SUID_bit: true



Information forwarded to debian-bugs-dist@lists.debian.org, Joerg Jaspert <joerg@debian.org>:
Bug#267464; Package cdrecord. Full text and rfc822 format available.

Acknowledgement sent to Andreas Metzler <ametzler@downhill.at.eu.org>:
Extra info received and forwarded to list. Copy sent to Joerg Jaspert <joerg@debian.org>. Full text and rfc822 format available.

Message #10 received at 267464@bugs.debian.org (full text, mbox):

From: Andreas Metzler <ametzler@downhill.at.eu.org>
To: "Jean-Luc Coulon (f5ibh)" <jean-luc.coulon@wanadoo.fr>, 267464@bugs.debian.org
Subject: Re: Bug#267464: cdrecord: eats all the machine ressources then the oom-killer trashes everything
Date: Mon, 23 Aug 2004 09:36:51 +0200
reassign 267464 kernel-source-2.6.8
thanks
On 2004-08-22 "Jean-Luc Coulon (f5ibh)" <jean-luc.coulon@wanadoo.fr> wrote:
> Package: cdrecord
> Version: 4:2.0+a34-1
> Severity: important

> Hi,

> I was burning an audio cd from .wav files.
> Kernel is 2.6.8 
> The command was :
> cdrecord dev=ATAPI:0,0,0 speed=10 -audio -pad -dao -v -eject <file1> <file2> ...
> for a total of 11 files.
> After burning 4 or 5 files, I was flooded with the following message.
> Then the oom-killer began to work and after a while cdrecord was killed.
[...]

That is a known bug in kernel 2.6.8. reassigning.
                 cu andreas



Bug reassigned from package `cdrecord' to `kernel-source-2.6.8'. Request was from Andreas Metzler <ametzler@downhill.at.eu.org> to control@bugs.debian.org. Full text and rfc822 format available.

Reply sent to Sven Luther <luther@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to "Jean-Luc Coulon (f5ibh)" <jean-luc.coulon@wanadoo.fr>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #17 received at 267464-close@bugs.debian.org (full text, mbox):

From: Sven Luther <luther@debian.org>
To: 267464-close@bugs.debian.org
Subject: Bug#267464: fixed in kernel-source-2.6.8 2.6.8-3
Date: Wed, 25 Aug 2004 15:48:26 -0400
Source: kernel-source-2.6.8
Source-Version: 2.6.8-3

We believe that the bug you reported is fixed in the latest version of
kernel-source-2.6.8, which is due to be installed in the Debian FTP archive:

kernel-doc-2.6.8_2.6.8-3_all.deb
  to pool/main/k/kernel-source-2.6.8/kernel-doc-2.6.8_2.6.8-3_all.deb
kernel-patch-debian-2.6.8_2.6.8-3_all.deb
  to pool/main/k/kernel-source-2.6.8/kernel-patch-debian-2.6.8_2.6.8-3_all.deb
kernel-source-2.6.8_2.6.8-3.diff.gz
  to pool/main/k/kernel-source-2.6.8/kernel-source-2.6.8_2.6.8-3.diff.gz
kernel-source-2.6.8_2.6.8-3.dsc
  to pool/main/k/kernel-source-2.6.8/kernel-source-2.6.8_2.6.8-3.dsc
kernel-source-2.6.8_2.6.8-3_all.deb
  to pool/main/k/kernel-source-2.6.8/kernel-source-2.6.8_2.6.8-3_all.deb
kernel-tree-2.6.8_2.6.8-3_all.deb
  to pool/main/k/kernel-source-2.6.8/kernel-tree-2.6.8_2.6.8-3_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 267464@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Sven Luther <luther@debian.org> (supplier of updated kernel-source-2.6.8 package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Wed, 25 Aug 2004 17:40:07 +0200
Source: kernel-source-2.6.8
Binary: kernel-source-2.6.8 kernel-doc-2.6.8 kernel-tree-2.6.8 kernel-patch-debian-2.6.8
Architecture: source all
Version: 2.6.8-3
Distribution: unstable
Urgency: high
Maintainer: Debian kernel team <debian-kernel@lists.debian.org>
Changed-By: Sven Luther <luther@debian.org>
Description: 
 kernel-doc-2.6.8 - Linux kernel specific documentation for version 2.6.8
 kernel-patch-debian-2.6.8 - Debian patches to Linux 2.6.8
 kernel-source-2.6.8 - Linux kernel source for version 2.6.8 with Debian patches
 kernel-tree-2.6.8 - Linux kernel tree for building prepackaged Debian kernel images
Closes: 255931 256757 256871 257763 258061 261784 266731 266892 267338 267464
Changes: 
 kernel-source-2.6.8 (2.6.8-3) unstable; urgency=high
 .
   * Suggest libqt3-dev for xconfig (closes: #261784) (Andres Salomon).
 .
   * Update documentation (Christoph Hellwig).
 .
   * Add bio_uncopy_user leak fix from Kurt Garloff (closes: #256871)
     (Christoph Hellwig).
 .
   * Update scsi blacklist for USB multi card readers (Christoph Hellwig).
 .
   * Claim we're Windows (TM) to ACPI to work around broken BIOSes
     (Christoph Hellwig).
 .
   * Fix early boot crash on some oldworld Power Macs. (closes: #266731)
     (Christoph Hellwig).
 .
   * Add qdisc crash fix (closes: #266892) (Christoph Hellwig).
 .
   * Replace the drivers-scsi-sym53c8xx_revert workaround with
     drivers-scsi-sym_2-dv-hang, which is a proper fix for the hang
     (dann frazier).
 .
   * Enter ACPI mode earlier (closes: #258061) (Christoph Hellwig).
 .
   * Add a comment about the Adaptec firmware rebuild situation to
     README.Debian (closes: #256757) (Christoph Hellwig).
 .
   * Update bio_uncopy_user-memleak to really fix the problem
     (closes: #267464, #267338) (Christoph Hellwig).
 .
   * Update list of safe SCSI commands for SG_IO to match 2.6.9-rc1
     (Christoph Hellwig).
 .
   * Update CCISS driver (Christoph Hellwig).
 .
   * Add minix block accounting fix (Christoph Hellwig).
 .
   * Fix nfsd to not errornously return ESTALE on failed permission check
     (closes: #255931) (Christoph Hellwig).
 .
   * Fix SHM segment count limit off by one (Christoph Hellwig).
 .
   * Modularize xfrm_tunnel (Christoph Hellwig).
 .
   * Add small ACPI fix that makes speedstep work on some Centrino Laptops
     (closes: #257763) (Christoph Hellwig).
Files: 
 e11d871c94e4c2b80ea109ec281dc0a5 911 devel optional kernel-source-2.6.8_2.6.8-3.dsc
 d192fad5d8c8534399539270da0f57c0 546373 devel optional kernel-source-2.6.8_2.6.8-3.diff.gz
 04d63a08fbf900ef2fa305cc02ffd281 200988 devel optional kernel-patch-debian-2.6.8_2.6.8-3_all.deb
 046d99bea7140fabb523d919ea9d5a9e 302996 devel optional kernel-tree-2.6.8_2.6.8-3_all.deb
 d6c04d060fc960b8d1508d2591e7047d 34904884 devel optional kernel-source-2.6.8_2.6.8-3_all.deb
 39fe9e5c1746d42f3c8fe78f27745fe9 6144040 doc optional kernel-doc-2.6.8_2.6.8-3_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.2.5 (GNU/Linux)

iD8DBQFBLNnk2WTeT3CRQaQRAhlmAJ0WVH/vM3Md/zYovrmGmS1z528+rgCgooH8
i3y541uLYfJJCuEIR8fBMTs=
=gd5r
-----END PGP SIGNATURE-----




Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 00:06:55 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.